%global         _name rgen

# sitelibdir is depricated in Ruby 2.0, so for rhel 7 and fedora, we need to use vendorlibdir instead
%if 0%{?rhel} >= 7 || 0%{?fedora}
%{!?ruby_libdir: %define ruby_libdir %(ruby -rrbconfig -e "puts RbConfig::CONFIG['vendordir']")}
%else
%{!?ruby_libdir: %define ruby_libdir %(ruby -rrbconfig -e "puts RbConfig::CONFIG['sitedir']")}
%endif

Name:           ruby-%{_name}
Version:        0.6.5
Release:        2%{?dist}
Summary:        Ruby Modeling and Generator Framework
Group:          Development/Languages

License:        MIT
URL:            https://rubygems.org/gems/%{_name}
Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby >= 1.8
Requires:       ruby >= 1.8
BuildArch:      noarch

%description
RGen is a framework for Model Driven Software Development (MDSD) in Ruby. This
means that it helps you build Metamodels, instantiate Models, modify and
transform Models and finally generate arbitrary textual content from it.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -d -m0755 %{buildroot}%{ruby_libdir}
cp -pr lib/* %{buildroot}%{ruby_libdir}
ls %{buildroot}%{ruby_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG README.rdoc MIT-LICENSE Rakefile
%{ruby_libdir}/ea_support/*
%{ruby_libdir}/metamodels/*
%{ruby_libdir}/mmgen/*
%{ruby_libdir}/rgen/*
%{ruby_libdir}/transformers/*


%changelog
* Mon Feb 17 2014 Melissa Stone <melissa@puppetlabs.com> - 0.6.5-2
- Update pathing for ruby 2.0 on rhel 7 and fedora

* Thu Jun 27 2013 Moses Mendoza <msoes@puppetlabs.com> - 0.6.5-1
- Update for upstream 0.6.5

* Fri Apr 12 2013 Moses Mendoza <msoes@puppetlabs.com> - 0.6.2-1
- Package rgen as a library. The tarball is created from a `gem unpack`
- of rubygem-rgen and tarring up the resulting contents.
